{"title":"Get timeRegistrationEntries","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_timeregistrationentry_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_timeregistrationentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_timeregistrationentry_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets timeRegistrationEntries object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get timeRegistrationEntries","slug":"get-timeregistrationentries","at":0,"chars":2195},{"level":2,"title":"HTTP request","slug":"http-request","at":131,"chars":515},{"level":2,"title":"Request headers","slug":"request-headers","at":646,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":718,"chars":61},{"level":2,"title":"Response","slug":"response","at":779,"chars":136},{"level":2,"title":"Example","slug":"example","at":915,"chars":869},{"level":2,"title":"Related information","slug":"related-information","at":1784,"chars":411}],"text":"# Get timeRegistrationEntries\nRetrieve the properties and relationships of an timeRegistrationEntries object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({companyId})/timeRegistrationEntries({timeregistrationId})\nGET businesscentralPrefix/companies({companyId})/employees({employeeId})/timeRegistrationEntries({timeregistrationId})\n```\n> NOTE\n> Please note the $filter applied to timeRegistrationEntries API. The filter is applied to get timeRegistrationEntries for a specific employee.\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an timeRegistrationEntries object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})timeRegistrationEntries?$filter=employeeId eq {employeeId}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"1a8b1fec-c0e3-ea11-aa60-000d3ad7cacb\",\n    \"employeeId\": \"258bb9c0-44e3-ea11-bb43-000d3a2feca1\",\n    \"employeeNumber\": \"AH\",\n    \"jobId\": \"00000000-0000-0000-0000-000000000000\",\n    \"jobNumber\": \"\",\n    \"jobTaskNumber\": \"\",\n    \"absence\": \"\",\n    \"lineNumber\": 10000,\n    \"date\": \"2019-02-02\",\n    \"quantity\": 5,\n    \"status\": \"Open\",\n    \"unitOfMeasureId\": \"56a6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"unitOfMeasureCode\": \"HOUR\",\n    \"lastModfiedDateTime\": \"2020-08-21T15:13:58.87Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../../../webservices/dynamics-error-codes\ntimeRegistrationEntries<../resources/dynamics_timeregistrationentry>\nGet timeRegistrationEntries<dynamics_timeregistrationentry_get>\nPost timeRegistrationEntries<dynamics_timeregistrationentry_create>\nDelete timeRegistrationEntries<dynamics_timeregistrationentry_delete>"}